连接无法用于决策池
出现此问题时,API 会返回 422 Unprocessable Content。其 type 为 https://lingo.dev/docs/api/errors/decision-pool-connection-unusable。所有错误的通用结构见错误和状态码。
连接 <connectionId> 未连接到提供商“<providerId>”。请选择该提供商的连接。
字段#
除了标准成员 type、status、title 和 detail,响应体还包含以下字段。detail 文本由这些字段生成,因此客户端也可以显示自定义文本。
| 字段 | 类型 |
|---|---|
connectionId | string |
providerId | string |
reason | "otherProvider" | "notAdopted" | "needsReauth" |
示例#
json
{
"detail": "Connection <connectionId> does not connect provider \"<providerId>\". Pick a connection of that provider.",
"connectionId": "<connectionId>",
"providerId": "<providerId>",
"reason": "otherProvider",
"type": "https://lingo.dev/docs/api/errors/decision-pool-connection-unusable",
"status": 422,
"title": "Connection unusable for decision pool"
}返回此错误的端点#
POST /v2/organizations/{orgId}/decision-pools